> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List TPRM Companies



## OpenAPI

````yaml get /tprm/companies
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /tprm/companies:
    get:
      tags:
        - tprm
        - companies
      summary: List TPRM Companies
      operationId: get_companies
      parameters:
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort
        - name: company_ids
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by company_id (comma-separated list, e.g., 'id_1,id_2')
            title: Company Ids
          description: Filter by company_id (comma-separated list, e.g., 'id_1,id_2')
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/KeySetPaginatedResponse_TPRMCompanyKBRespModel_
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    KeySetPaginatedResponse_TPRMCompanyKBRespModel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TPRMCompanyKBRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[TPRMCompanyKBRespModel]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    TPRMCompanyKBRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the tprm company
        name:
          type: string
          title: Name
          description: The name of the company
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
          description: The domain of the company
        score:
          anyOf:
            - $ref: '#/components/schemas/ScoreModel'
            - type: 'null'
          description: The score of the company
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
          description: The industry of the company
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
          description: The size of the company
        date_added:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Date Added
          description: The date the company was added
        compliance_claimed:
          anyOf:
            - items:
                $ref: '#/components/schemas/ComplianceClaimedModel'
              type: array
            - type: 'null'
          title: Compliance Claimed
          description: The compliance claimed by the company
        vendor_attributes:
          anyOf:
            - $ref: '#/components/schemas/TPRMCompanyKnowledgeBaseVendorAttributes'
            - type: 'null'
          description: The vendor attributes of the company
        related_portfolios:
          items:
            $ref: '#/components/schemas/RelatedPortfolioModel'
          type: array
          title: Related Portfolios
          description: The related portfolios of the company
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: The date the company was updated
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: The date the company was created
      type: object
      required:
        - id
        - name
        - domain
        - score
        - industry
        - size
        - date_added
        - compliance_claimed
        - vendor_attributes
        - related_portfolios
        - updated_at
        - created_at
      title: TPRM Company
    ScoreModel:
      properties:
        rating:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rating
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        factors:
          items:
            $ref: '#/components/schemas/ScoreFactorModel'
          type: array
          title: Factors
          default: []
      type: object
      title: ScoreModel
    ComplianceClaimedModel:
      properties:
        standard:
          type: string
          title: Standard
        last_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated At
      type: object
      required:
        - standard
      title: ComplianceClaimedModel
    TPRMCompanyKnowledgeBaseVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: vendor-reported company ID
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp when the vendor first created the company
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Timestamp when the vendor last updated the company
        data:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteTPRMCompanyVendorData'
            - $ref: '#/components/schemas/SecurityScorecardTPRMCompanyVendorData'
            - $ref: '#/components/schemas/BitSightTPRMCompanyVendorData'
            - type: 'null'
          title: Data
      type: object
      required:
        - id
      title: TPRMCompanyKnowledgeBaseVendorAttributes
    RelatedPortfolioModel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: RelatedPortfolioModel
    ScoreFactorModel:
      properties:
        name:
          type: string
          title: Name
        rating:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rating
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
      type: object
      required:
        - name
      title: ScoreFactorModel
    BlackKiteTPRMCompanyVendorData:
      properties:
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        dashboard_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Dashboard Link
        strategy_report_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Strategy Report Url
      type: object
      title: BlackKiteTPRMCompanyVendorData
    SecurityScorecardTPRMCompanyVendorData:
      properties:
        monitored:
          type: boolean
          title: Monitored
        lifecycle_status:
          type: string
          title: Lifecycle Status
        last_month_score_change:
          type: number
          title: Last Month Score Change
        last_30_days_breach_count:
          type: number
          title: Last 30 Days Breach Count
        tags:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Tags
      type: object
      required:
        - monitored
        - lifecycle_status
        - last_month_score_change
        - last_30_days_breach_count
      title: SecurityScorecardTPRMCompanyVendorData
    BitSightTPRMCompanyVendorData:
      properties:
        display_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Url
      type: object
      title: BitSightTPRMCompanyVendorData
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````